Package org.apache.sling.scripting.sightly.impl.compiler.frontend

## Class ExpressionParser

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.compiler.frontend.ExpressionParser

    public class ExpressionParser
    extends Object

### Constructor Summary

Constructors
`ExpressionParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Interpolation` `parseInterpolation​(String expressionString)` Parses the expression string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExpressionParser

    public ExpressionParser()

### Method Detail

#### parseInterpolation

    public Interpolation parseInterpolation​(String expressionString)
                                     throws SightlyCompilerException

Parses the expression string.

Parameters:
  `expressionString` - as defined by the HTL spec (https://github.com/Adobe-Marketing-Cloud/htl-spec/blob/master/SPECIFICATION.md)
Returns:
  Parsed Expression object
Throws:
  `NullPointerException` - is the given exprString is null
  `SightlyCompilerException` - if an error occurs while parsing the expression